Bug 713380 - RunAs group is not displayed in output while removing as sudorule-add-runasuser with --groups swtich.
Summary: RunAs group is not displayed in output while removing as sudorule-add-runasus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-15 08:52 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:49 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When removing a runasuser and defining a group the value is not included in output. Consequence: The command seems successful but the runasuser field is not in the output. Fix: The label for the returned data was mislabled so was not appearing in the command-line. Result: Adding a group to runasuser is properly displayed.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:33:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-06-15 08:52:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.0-25.el6.x86_64
ipa-admintools-2.0.0-25.el6.x86_64

How reproducible:


Steps to Reproduce:
1. # ipa sudorule-remove-runasuser rule1 --users=sudouser1
  Rule name: rule1
  Enabled: TRUE
  Run As User: sudouser2
---------------------------
Number of members removed 1
---------------------------

2. # ipa sudorule-add-runasuser rule1 --groups=sudogrp1,sudogrp2
  Rule name: rule1
  Enabled: TRUE
  Run As User: sudouser2
-------------------------
Number of members added 2
-------------------------

3. # ipa sudorule-remove-runasuser rule1 --groups=sudogrp1
  
Actual results: Run As group is not displayed.

# ipa sudorule-remove-runasuser rule1 --groups=sudogrp1
  Rule name: rule1
  Enabled: TRUE
  Run As User: sudouser2
---------------------------
Number of members removed 1
---------------------------

Expected results: "Run As Group: group1" should be displayed.
# ipa sudorule-remove-runasuser rule1 --groups=sudogrp1
  Rule name: rule1
  Enabled: TRUE
  Run As Group: sudogrp2
---------------------------
Number of members removed 1
---------------------------

Additional info:

Comment 2 Rob Crittenden 2011-06-15 14:36:56 UTC
https://fedorahosted.org/freeipa/ticket/1325

Comment 3 Rob Crittenden 2011-07-19 02:36:42 UTC
master: d49bf3871bd4471d73ac06b871ae509bc340a544

ipa-2-0: 533c11ead972350e9597b3882c5e1819b33706ca

Comment 5 Jenny Severance 2011-10-05 20:23:31 UTC
verified :

[root@ipaserver ~]# ipa sudorule-remove-runasuser --users=sudouser1 sudorule1
  Rule name: sudorule1
  Enabled: TRUE
  RunAs Group: sudogrp1, sudogrp2
  Sudo Option: always_set_home
---------------------------
Number of members removed 1
---------------------------

[root@ipaserver ~]# ipa sudorule-remove-runasuser --groups=sudogrp1 sudorule1
  Rule name: sudorule1
  Enabled: TRUE
  RunAs Group: sudogrp2
  Sudo Option: always_set_home
---------------------------
Number of members removed 1
---------------------------

version :
ipa-server-2.1.1-4.el6.x86_64

Comment 6 Rob Crittenden 2011-10-31 20:00:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When removing a runasuser and defining a group the value is not included in output.
Consequence: The command seems successful but the runasuser field is not in the output.
Fix: The label for the returned data was mislabled so was not appearing in the command-line.
Result: Adding a group to runasuser is properly displayed.

Comment 7 errata-xmlrpc 2011-12-06 18:33:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.